Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Interface IVerifier

All Known Implementing Classes:
  Verifier

public interface IVerifier

Verifier. This interface abstracts the archive verification step performed by specific feature implementations. The actual details of the verification are the responsibility of the concrete implementation.

Clients may implement this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `IVerificationResult`, `IFeatureContentProvider.getVerifier()`

Method Summary
`IVerifier` | `getParent()` Returns the parent verifier
`void` | `setParent(IVerifier parentVerifier)` Sets the parent verifier.
`IVerificationResult` | `verify(IFeature feature, ContentReference reference, boolean isFeatureVerification, InstallMonitor monitor)` Perform verification of the specified archive.

Method Detail

### verify

    public IVerificationResult verify(IFeature feature,
                                      ContentReference reference,
                                      boolean isFeatureVerification,
                                      InstallMonitor monitor)
                               throws CoreException

  Perform verification of the specified archive.

  Parameters:
    `feature` - feature containing this archive
    `reference` - actual archive reference
    `isFeatureVerification` - `true` indicates the specified reference should be considered as part of the feature description information (ie. verifying the overall feature), `false` indicates the specified reference is a plug-in or a non-plug-in archive file (ie. verifying a component of the feature)
    `monitor` - progress monitor, can be `null`
  Returns:
    verification result
  Throws:
    `CoreException`
  Since:
    2.0

### setParent

    public void setParent(IVerifier parentVerifier)

  Sets the parent verifier. The parent verifier can only be set once by the parent feature. It may used for different verification strategies. (for instance, you may decide that both the parent and current verifier must sucessfully verify the content reference, or that only one of them must verify)

  Parameters:
    `parentVerifier` - the parent verifier.

### getParent

    public IVerifier getParent()

  Returns the parent verifier

  Returns:
    the parent verifier
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.